<?php
# $Id: mod_wfs_gazetteer.php 1105 2007-02-08 15:29:41Z christoph $
# maintained by http://www.mapbender.org/index.php/User:Verena Diewald
# http://www.mapbender.org/index.php/WFS_gazetteer
# Copyright (C) 2002 CCGIS 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

session_start();
require_once("../../conf/mapbender.conf");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
<?php
echo '<meta http-equiv="Content-Type" content="text/html; charset='.CHARSET.'">';	
?>
<title>mod_wfs_gazetteer</title>
<?php
$con = db_connect($DBSERVER,$OWNER,$PW);
db_select_db($DB,$con);

$gui_id = $_SESSION["mb_user_gui"];
include '../include/dyn_css.php';
/* wfs_conf */
$sql = "SELECT * FROM wfs_conf ";
$sql .= "JOIN wfs ON wfs_conf.fkey_wfs_id = wfs.wfs_id ";
$sql .= "WHERE wfs_conf.wfs_conf_id = $1";

//get wfs_conf as array
$v1 = array($_REQUEST["wfs_conf"]);
//split array $v1 (comma-separated) to get all chosen wfs_confs
$v2 = split(",", $v1[0]);
//get number of chosen wfs_confs
if(strlen($v2[0])==NULL){
  $cnt_confs = NULL; 
}
else{
  $cnt_confs = count($v2);
}
$t = array('i');

//do this if there is more than 1 wfs_conf
if($cnt_confs>1){
  for($i=0; $i < $cnt_confs; $i++){
  	 $res = db_prep_query($sql,$v2[$i],$t);
  	 if($row = db_fetch_array($res)){
     	$g_label[$v2[$i]] = $row["g_label"];
     	$g_label_id[$v2[$i]]  = $row["g_label_id"];
		$g_style[$v2[$i]]  = $row["g_style"];
		$g_button[$v2[$i]] = $row["g_button"];
		$g_button_id[$v2[$i]] = $row["g_button_id"];
		$g_buffer[$v2[$i]]  = $row["g_buffer"];
		$g_res_style[$v2[$i]]  = $row["g_res_style"];
		$g_use_wzgraphics[$v2[$i]] = $row["g_use_wzgraphics"];
		$wfs_id[$v2[$i]]  = $row["fkey_wfs_id"];
		$featuretype_id[$v2[$i]]  = $row["fkey_featuretype_id"];
		$wfs_getfeature[$v2[$i]] = $row["wfs_getfeature"];
	}
  }	
 
  echo "<script type='text/javascript' language='javascript'>
    
  function conf_selection(){
    
    //alert(document.sel_wfs_conf_form.wfs_conf_sel.value);
    document.sel_wfs_conf_form.selected_conf.value = document.sel_wfs_conf_form.wfs_conf_sel.value;
    document.sel_wfs_conf_form.submit();
  }
  
  </script>";
  
  //display select box for different wfs_confs
  echo "<form name='sel_wfs_conf_form' method='POST' action='mod_wfs_gazetteer.php'>\n" .
  	   "<select name='wfs_conf_sel' size='1' onChange='conf_selection()'>\n";
  for($i=0; $i < $cnt_confs; $i++){
  	if(empty($_REQUEST["selected_conf"])){
  	  if($i==0){	
  	    echo "<option value='".$v2[$i]."' selected>".$g_label[$v2[$i]]."</option>\n";	
  	  }
  	  else{
  	    echo "<option value='".$v2[$i]."'>".$g_label[$v2[$i]]."</option>\n";
  	  }
  	}
  	else{	
  	  if($v2[$i]==$_REQUEST["selected_conf"]){
  	    $selected = "selected";
  	  }
  	  else{
  	    $selected= "";
  	  }	
  	  echo "<option value='".$v2[$i]."' $selected>".$g_label[$v2[$i]]."</option>\n";
  	}  
  }
  echo "</select>".
  	   "<input type='hidden' name='wfs_conf' value='".$_REQUEST["wfs_conf"]."'>\n".
  	   "<input type='hidden' name='selected_conf' value='".$_REQUEST["selected_conf"]."'>\n".
  	   "<input type='hidden' name='target' value='".$_REQUEST["target"]."'>\n".
  	   "<input type='hidden' name='resultFrame' value='".$_REQUEST["resultFrame"]."'>\n";
 echo  "</form>";
  	
  
  $sql = "SELECT * FROM wfs_featuretype ";
  $sql .= "WHERE fkey_wfs_id = $1 AND featuretype_id = $2";
 
  //if first value of select box is active and there was not yet a selection of another value, take index 0 for the
  //following steps	
  if(!isset($_REQUEST["selected_conf"])){
  	  $v = array($wfs_id[$v2[0]],$featuretype_id[$v2[0]]);
	  $t = array('i','i');
	  $res = db_prep_query($sql,$v,$t);
	  if($row = db_fetch_array($res)){
	    $featuretype_name  = $row["featuretype_name"];
	    $featuretype_srs  = $row["featuretype_srs"];
	  }
	  else{
	   die("Please add the wfs_conf to the src-Parameter");
	  }
	  
	  echo "<style type='text/css'>";
	  echo $g_style[$v2[0]];
	  echo "</style>";
	
	  /* wfs_conf_element */
	  $sql = "SELECT * FROM wfs_conf_element ";
	  $sql .= "JOIN wfs_element ON wfs_conf_element.f_id = wfs_element.element_id ";
	  $sql .= "WHERE wfs_conf_element.fkey_wfs_conf_id = $1 ";
	  $sql .= "AND wfs_conf_element.f_search = 1 ORDER BY wfs_conf_element.f_pos;";
	
	  $v1 = array($_REQUEST["wfs_conf"]);
	  $t = array('i');
	  
	  //split array $v1 (comma-separated) to get all chosen wfs_confs
	  $v2 = split(",", $v1[0]);
	  $res = db_prep_query($sql,$v2[0],$t);
	
	  echo '<script type="text/javascript">';
	  echo "var el = new Array();";
	  $cnt = 0;
	  while($row = db_fetch_array($res)){
		echo "el[".$cnt."] = new Array();";
		echo "el[".$cnt."]['f_search'] = ".$row["f_search"].";";
		echo "el[".$cnt."]['f_style_id'] = '".$row["f_style_id"]."';";
		echo "el[".$cnt."]['f_toupper'] = '".$row["f_toupper"]."';";
		echo "el[".$cnt."]['f_label'] = '".$row["f_label"]."';";
		echo "el[".$cnt."]['f_label_id'] = '".$row["f_label_id"]."';";
		echo "el[".$cnt."]['element_name'] = '".$row["element_name"]."';";
		echo "el[".$cnt."]['element_type'] = '".$row["element_type"]."';";
		$cnt++;
	  }
	  if($cnt == 0){
	  	die("Please add the wfs_conf to the src-Parameter");
	  }
	
	  echo "var g_label = '".$g_label[$v2[0]]."';";
	  echo "var g_label_id = '".$g_label_id[$v2[0]]."';";
	  echo "var g_button = '".$g_button[$v2[0]]."';";
	  echo "var g_button_id = '".$g_button_id[$v2[0]]."';";
	  echo "var g_buffer = ".$g_buffer[$v2[0]].";";
	  echo "var g_res_style = '".urlencode($g_res_style[$v2[0]])."';";
	  echo "var g_use_wzgraphics = ".$g_use_wzgraphics[$v2[0]].";";
	  echo "var featuretype_name= '".$featuretype_name."';";
	  echo "var featuretype_srs = '".$featuretype_srs."';";
	  echo "var wfs_getfeature = '".$wfs_getfeature[$v2[0]]."';";
	  
	  echo "var wfs_conf_id = '".$v2[0]."';";
	  echo "var targets = '".$_REQUEST["target"]."';";
	  echo "var resultFrame = '".$_REQUEST["resultFrame"]."';";
	  echo "</script>";
  }
  //if value of select box changed through new selection, do the following
  else{
  	  //set $i as selected_conf value
   	  $i = $_REQUEST["selected_conf"];
   	  $v = array($wfs_id[$i],$featuretype_id[$i]);
	  $t = array('i','i');
	  $res = db_prep_query($sql,$v,$t);
	  if($row = db_fetch_array($res)){
	    $featuretype_name  = $row["featuretype_name"];
	    $featuretype_srs  = $row["featuretype_srs"];
	  }
	  else{
	   die("Please add the wfs_conf to the src-Parameter");
	  }
	  echo "<style type='text/css'>";
	  echo $g_style[$i];
	  echo "</style>";
	
	  /* wfs_conf_element */
	  $sql = "SELECT * FROM wfs_conf_element ";
	  $sql .= "JOIN wfs_element ON wfs_conf_element.f_id = wfs_element.element_id ";
	  $sql .= "WHERE wfs_conf_element.fkey_wfs_conf_id = $1 ";
	  $sql .= "AND wfs_conf_element.f_search = 1 ORDER BY wfs_conf_element.f_pos;";
	
	  #$v1 = array($_REQUEST["wfs_conf"]);
	  $t = array('i');
	  
	  //split array $v1 (comma-separated) to get all chosen wfs_confs
	  #$v2 = split(",", $v1[0]);
	  $res = db_prep_query($sql,$i,$t);
	
	  echo '<script type="text/javascript">';
	  echo "var el = new Array();";
	  $cnt = 0;
	  while($row = db_fetch_array($res)){
	  	echo "el[".$cnt."] = new Array();";
		echo "el[".$cnt."]['f_search'] = ".$row["f_search"].";";
		echo "el[".$cnt."]['f_style_id'] = '".$row["f_style_id"]."';";
		echo "el[".$cnt."]['f_toupper'] = '".$row["f_toupper"]."';";
		echo "el[".$cnt."]['f_label'] = '".$row["f_label"]."';";
		echo "el[".$cnt."]['f_label_id'] = '".$row["f_label_id"]."';";
		echo "el[".$cnt."]['element_name'] = '".$row["element_name"]."';";
		echo "el[".$cnt."]['element_type'] = '".$row["element_type"]."';";
		$cnt++;
	  }
	  if($cnt == 0){
	  	die("Please add the wfs_conf to the src-Parameter");
	  }
	
	  echo "var g_label = '".$g_label[$i]."';";
	  echo "var g_label_id = '".$g_label_id[$i]."';";
	  echo "var g_button = '".$g_button[$i]."';";
	  echo "var g_button_id = '".$g_button_id[$i]."';";
	  echo "var g_buffer = ".$g_buffer[$i].";";
	  echo "var g_res_style = '".urlencode($g_res_style[$i])."';";
	  echo "var g_use_wzgraphics = ".$g_use_wzgraphics[$i].";";
	  echo "var featuretype_name= '".$featuretype_name."';";
	  echo "var featuretype_srs = '".$featuretype_srs."';";
	  echo "var wfs_getfeature = '".$wfs_getfeature[$i]."';";
	  
	  echo "var wfs_conf_id = '".$i."';";
	  echo "var targets = '".$_REQUEST["target"]."';";
	  echo "var resultFrame = '".$_REQUEST["resultFrame"]."';";
	  echo "</script>";
  }

}
//do this if there is 1 wfs_conf
elseif($cnt_confs>0 && $cnt_confs==1){
   $res = db_prep_query($sql,$v1,$t);
   if($row = db_fetch_array($res)){
		$g_label  = $row["g_label"];
		$g_label_id  = $row["g_label_id"];
		$g_style  = $row["g_style"];
		$g_button = $row["g_button"];
		$g_button_id = $row["g_button_id"];
		$g_buffer  = $row["g_buffer"];
		$g_res_style  = $row["g_res_style"];
		$g_use_wzgraphics = $row["g_use_wzgraphics"];
		$wfs_id  = $row["fkey_wfs_id"];
		$featuretype_id  = $row["fkey_featuretype_id"];
		$wfs_getfeature = $row["wfs_getfeature"];
		
   }
   
   $sql = "SELECT * FROM wfs_featuretype ";
   $sql .= "WHERE fkey_wfs_id = $1 AND featuretype_id = $2";
   //get wfs_id & featuretype_id as array
   $v = array($wfs_id,$featuretype_id);
   $t = array('i','i');
   $res = db_prep_query($sql,$v,$t);
   if($row = db_fetch_array($res)){
     $featuretype_name  = $row["featuretype_name"];
     $featuretype_srs  = $row["featuretype_srs"];
   }
   else{
	   die("Please add the wfs_conf to the src-Parameter");
   }
   
   echo "<style type='text/css'>";
   echo $g_style;
   echo "</style>";

   /* wfs_conf_element */
   $sql = "SELECT * FROM wfs_conf_element ";
   $sql .= "JOIN wfs_element ON wfs_conf_element.f_id = wfs_element.element_id ";
   $sql .= "WHERE wfs_conf_element.fkey_wfs_conf_id = $1 ";
   $sql .= "AND wfs_conf_element.f_search = 1 ORDER BY wfs_conf_element.f_pos;";

   $v = array($_REQUEST["wfs_conf"]);
   $t = array('i');
   $res = db_prep_query($sql,$v,$t);

   echo '<script type="text/javascript">';
   echo "var el = new Array();";
   $cnt = 0;
   while($row = db_fetch_array($res)){
	 echo "el[".$cnt."] = new Array();";
	 echo "el[".$cnt."]['f_search'] = ".$row["f_search"].";";
	 echo "el[".$cnt."]['f_style_id'] = '".$row["f_style_id"]."';";
	 echo "el[".$cnt."]['f_toupper'] = '".$row["f_toupper"]."';";
	 echo "el[".$cnt."]['f_label'] = '".$row["f_label"]."';";
	 echo "el[".$cnt."]['f_label_id'] = '".$row["f_label_id"]."';";
	 echo "el[".$cnt."]['element_name'] = '".$row["element_name"]."';";
	 echo "el[".$cnt."]['element_type'] = '".$row["element_type"]."';";
	 $cnt++;
   }
   if($cnt == 0){
   	die("Please add the wfs_conf to the src-Parameter");
   	}

   echo "var g_label = '".$g_label."';";
   echo "var g_label_id = '".$g_label_id."';";
   echo "var g_button = '".$g_button."';";
   echo "var g_button_id = '".$g_button_id."';";
   echo "var g_buffer = ".$g_buffer.";";
   echo "var g_res_style = '".urlencode($g_res_style)."';";
   echo "var g_use_wzgraphics = ".$g_use_wzgraphics.";";
   echo "var featuretype_name= '".$featuretype_name."';";
   echo "var featuretype_srs = '".$featuretype_srs."';";
   echo "var wfs_getfeature = '".$wfs_getfeature."';";

   echo "var wfs_conf_id = '".$_REQUEST["wfs_conf"]."';";
   echo "var targets = '".$_REQUEST["target"]."';";
   echo "var resultFrame = '".$_REQUEST["resultFrame"]."';";
   echo "</script>";
}
//do this if wfs_conf is missing 
else{
	die("Please add the wfs_conf to the src-Parameter!");
}

?>

<script type="text/javascript">
//var res = true;
var wfs_conf_color = "255,0,0";
var cnt = 0;
function checkTag(){
	var target = targets.split(",");
	canvas = new Array();
	canvasHasDrawing = new Array();
	for(var i=0; i<target.length; i++){
		var isTag = (parent.frames[target[i]].document.getElementById('mod_gaz_draw'))?1:0;
		if(isTag == 0){
			var draw = parent.frames[target[i]].document.createElement("div");
			var tmp = parent.frames[target[i]].document.getElementsByTagName("body")[0].appendChild(draw);
			tmp.setAttribute("id","mod_gaz_draw");
			tmp.setAttribute("style","position:absolute;top:0px;left:0px;width:0px;height:0px");
		}
		canvas[target[i]] = new parent.jsGraphics('mod_gaz_draw', parent.window.frames[target[i]]);
		canvas[target[i]].setStroke(3);
		canvasHasDrawing[target[i]] = false;
	}
	return true;
}
function check(){
	var cnt = 0;
	for(var i=0; i<el.length; i++){
		if(el[i]['f_search'] == 1){
			if(document.getElementById(el[i]['element_name']).value != ''){
				cnt++;
			}
		}
	}
	return cnt;
}


function validate(){
	var cnt = check();
	
	if(cnt == 0){
		return false;
	}
	else{
		document.sendForm.wfs_conf_id.value = wfs_conf_id;
		document.sendForm.frame.value = this.name;
		/* url */
		var u = wfs_getfeature;
		if(wfs_getfeature.indexOf("?") > -1){u += "&";}
		if(wfs_getfeature.indexOf("?") == -1){u += "?";}
		u += "REQUEST=getFeature&Typename="+featuretype_name+"&Version=1.0.0&service=WFS";
		u += "&filter=";
		document.sendForm.url.value = u;
		/* filter */
		var f = '<ogc:Filter xmlns:ogc="http://ogc.org" xmlns:gml="http://www.opengis.net/gml">';
		if(cnt > 1){
			f += "<And>";
		}
		for(var i=0; i<el.length; i++){
			if(el[i]['f_search'] == 1 && document.getElementById(el[i]['element_name']).value != ''){
		
				var a = new Array();
				a = document.getElementById(el[i]['element_name']).value.split(",");
				if(a.length > 1){
					f += "<Or>";
				}
				for(var j=0; j<a.length; j++){
					
					f += "<ogc:PropertyIsLike wildCard='*' singleChar='.' escape='!'>";
//equal				f += "<ogc:PropertyIsEqualTo>";
					f += '<ogc:PropertyName>';
					f += el[i]['element_name'];
					f += '</ogc:PropertyName>';
					f += '<ogc:Literal>';
					
					if(el[i]['f_toupper'] == 1){
						f += a[j].toUpperCase();
					}
					else{
						f += a[j];
					}
					f += "*";
					
					f += '</ogc:Literal>';
					f += '</ogc:PropertyIsLike>';
//equal				f += '</ogc:PropertyIsEqualTo>';
				}
				if(a.length > 1){
					f += "</Or>";
				}
			}
		}
		if(cnt > 1){
			f += "</And>";
		}
		f += '</ogc:Filter>';
		document.sendForm.filter.value = f;
		document.sendForm.backlink.value = 'parent';
		document.sendForm.submit();
//		prompt("",b);
		return false;
	}
}
function init_mod_wfs_gazetteer(){
	var s = "";
	s += "<form onsubmit='return validate()'>";
	s += "<div class='"+g_label_id+"'>"+g_label+"</div>";
	for(var i=0; i<el.length; i++){
		s += "<span class='"+el[i]["f_label_id"]+"'>"+el[i]["f_label"]+"</span>";
		s += "<input type='text' class='"+el[i]["f_style_id"]+"' id='"+el[i]["element_name"]+"'><br>";
	}
	s += "<input type='submit' class='"+g_button_id+"' value='"+g_button+"' >";
	s += "</form>";
	document.getElementById("gaz").innerHTML = s;
          
	return true;
}

/*
* event -> {over || out || click}
* geom -> commaseparated coordinates x1,y1,x2,y2 ...
*/
function setResult(geomtype,event,geom){
//  alert(geomtype + " - " + event + " - " + geom);
	var geomtype = geomtype.toLowerCase();
	var target = targets.split(",");
	var x = new Array();
	var y = new Array();
	var mygeom = new Array();
	mygeom = geom.split(":");
	if(event != 'out'){
		var minx;
		var miny;
		var maxx;
		var maxy;
		for(var i=0; i<mygeom.length; i++){
			x[i] = new Array();
			y[i] = new Array();
			var tmp = new Array();
			tmp = mygeom[i].split(",");

			var k = 0;
			for(var j=0; j<(tmp.length-1); j=j+2){
				x[i][k] = tmp[j];
				y[i][k] = tmp[j+1];
				//bounded by:
				if(i==0 && j==0){
					minx = tmp[j];
					miny = tmp[j+1];
					maxx = tmp[j];
					maxy = tmp[j+1];
				}
				else{
					if(tmp[j]<minx){ minx = tmp[j];}
					if(tmp[j+1]<miny){ miny = tmp[j+1]; }
					if(tmp[j]>maxx){ maxx = tmp[j]; }
					if(tmp[j+1]>maxy){ maxy = tmp[j+1]; }
				}
				k++;
			}
		}
	}

	//events
	if(event == "over"){
		if(g_use_wzgraphics == 1){
			for(var i=0; i<target.length;i++){
				for(var j=0; j<x.length; j++){
					var ev = setFocus(target[i],geomtype,x[j],y[j]);
				}
			}
		}
		else{
			if(geomtype == 'point'){
				parent.mb_showHighlight(target[0],x[0][0],y[0][0]);
				parent.mb_showHighlight(target[1],x[0][0],y[0][0]);
			}
			else{
				parent.mb_showHighlight(target[1],x[0][0],y[0][0]);
				parent.mb_markResult(target[0],mygeom,wfs_conf_color);
			}
		}
	}
	else if (event == "out"){
		if(g_use_wzgraphics == 1){
			for(var i=0; i<target.length;i++){
				clearFocus(target[i]);
			}
		}
		else{
			hideResult();
		}
	}
	else if (event == "click"){
		minx -=g_buffer;
		miny -= g_buffer;
		maxx = parseFloat(maxx) +  parseFloat(g_buffer);
		maxy = parseFloat(maxy) + parseFloat(g_buffer);
		parent.mb_calculateExtent(target[0],minx,miny,maxx,maxy);
		parent.zoom(target[0], 'true', 1.0);
		if(g_use_wzgraphics == 1){
			for(var i=0; i<target.length;i++){
				clearFocus(target[i]);
			}
		}
		else{
			hideResult();
		}
	}
	return true;
}
function hideResult(geom_type){
	var target = targets.split(",");
	if(geom_type == 'point'){
		parent.mb_hideHighlight(target[0]);
		parent.mb_hideHighlight(target[1]);
	}
	else{
		parent.mb_hideHighlight(target[1]);
	parent.mb_disableResult(target[0]);
	}
}
function Numsort(a,b)
{ return a-b; }

/* Opacity for hilighting */
    parent.cw_opacity = 1.5;
/* Color for polygon boundary */
    var cw_bndcolor = "#cc33cc";
/* Color for polygon fill */
    var cw_fillcolor = "#cc33cc";

    var point_px = 10;


function setFocus(frame,geomtype,coordsx,coordsy) {
	var pxx = new Array();
	var pxy = new Array();
	var c = checkTag();
	for(var i=0; i<coordsx.length; i++){
		var pos = parent.makeRealWorld2mapPos(frame,coordsx[i],coordsy[i]);
		pxx[i] = pos[0];
		pxy[i] = pos[1];
		//check min/max
		if(i == 0){
			var minx = pos[0];
			var miny = pos[1];
                        var maxx = pos[0];
                        var maxy = pos[1];
                }
                else{
                        if(pos[0]<minx){ minx = pos[0]; }
                        if(pos[0]>maxx){ maxx = pos[0]; }
                        if(pos[1]<miny){ miny = pos[1]; }
                        if(pos[1]>maxy){ maxy = pos[1]; }
                }
        }
        if((maxx-minx)<8 && (maxy-miny)<8){
                geomtype = 'point';
                pxx.length = 0;
                pxx[0] = minx;
                pxy.length = 0;
                pxy[0] = miny;
        }
        if (geomtype == 'linestring') {
                canvas[frame].setColor(cw_bndcolor);
                canvas[frame].drawPolyline(pxx,pxy);
                canvas[frame].paint();
        }
        if (geomtype == 'polygon') {
//                canvas[frame].setColor(cw_fillcolor);
//                canvas[frame].fillPolygon(pxx,pxy);
//                canvas[frame].paint();
                canvas[frame].setColor(cw_bndcolor);
                canvas[frame].drawPolygon(pxx,pxy);
                canvas[frame].paint();
        }
        if (geomtype == 'point') {
//                canvas.setColor(cw_fillcolor);
//                canvas.fillEllipse((parseInt(x)-point_px/2),(parseInt(y)-point_px/2),point_px,point_px);
//                canvas.paint();
                canvas[frame].setColor(cw_bndcolor);
                canvas[frame].drawEllipse((pxx[0]-point_px/2),(pxy[0]-point_px/2),point_px,point_px);
                canvas[frame].paint();
        }
        canvasHasDrawing[frame] = true;
        return true;
}
function clearFocus(frame) {
        parent.frames[frame].document.getElementById('mod_gaz_draw').innerHTML = "";
        canvasHasDrawing[frame] = false;
        return true;
}

</script>
</head>
<body leftmargin='0' topmargin='10'  bgcolor='#ffffff' onload='init_mod_wfs_gazetteer()'>
<div id='gaz'></div>
<iframe name='res' id='res' src='' frameborder='0' style='width:180px;height:200px'></iframe>
<form name='sendForm' action='mod_wfsrequest.php' target='res' method='POST'>
<input type='hidden' name='wfs_conf_id'>
<input type='hidden' name='frame'>
<input type='hidden' name='url'>
<input type='hidden' name='backlink'>
<input type='hidden' name='filter'>
</form>
</body>
</html>